Loading...
Searching...
No Matches
mbedtls_pkcs7_signer_info Struct Reference

`#include <pkcs7.h>`

Collaboration diagram for mbedtls_pkcs7_signer_info:
[legend]

## Data Fields

int | private_version
mbedtls_x509_buf | private_serial
mbedtls_x509_name | private_issuer
mbedtls_x509_buf | private_issuer_raw
mbedtls_x509_buf | private_alg_identifier
mbedtls_x509_buf | private_sig_alg_identifier
mbedtls_x509_buf | private_sig
struct mbedtls_pkcs7_signer_info * | private_next

## Detailed Description

Structure holding PKCS #7 signer info

Definition at line 108 of file pkcs7.h.

## Field Documentation

## private_alg_identifier

mbedtls_x509_buf mbedtls_pkcs7_signer_info::private_alg_identifier

Definition at line 113 of file pkcs7.h.

## private_issuer

mbedtls_x509_name mbedtls_pkcs7_signer_info::private_issuer

Definition at line 111 of file pkcs7.h.

## private_issuer_raw

mbedtls_x509_buf mbedtls_pkcs7_signer_info::private_issuer_raw

Definition at line 112 of file pkcs7.h.

## private_next

struct mbedtls_pkcs7_signer_info* mbedtls_pkcs7_signer_info::private_next

Definition at line 116 of file pkcs7.h.

## private_serial

mbedtls_x509_buf mbedtls_pkcs7_signer_info::private_serial

Definition at line 110 of file pkcs7.h.

## private_sig

mbedtls_x509_buf mbedtls_pkcs7_signer_info::private_sig

Definition at line 115 of file pkcs7.h.

## private_sig_alg_identifier

mbedtls_x509_buf mbedtls_pkcs7_signer_info::private_sig_alg_identifier

Definition at line 114 of file pkcs7.h.

## private_version

int mbedtls_pkcs7_signer_info::private_version

Definition at line 109 of file pkcs7.h.

The documentation for this struct was generated from the following file:

- pkcs7.h